Page MenuHomePhabricator

Active changeset *authors* and changeset *reviewers* per month
Closed, ResolvedPublic

Description

Now that T86152: Active Gerrit users on a monthly basis is solved (yay), we'd also like to know for T94578: Most basic Tech Community metrics are published and up to date how many Gerrit users are

  • active changeset authors per month
  • active changeset reviewers (setting ∓1/∓2, not comments-only) per month

Event Timeline

Aklapper created this task.Apr 30 2015, 9:41 PM
Aklapper raised the priority of this task from to Normal.
Aklapper updated the task description. (Show Details)
Aklapper added a project: wikimedia.biterg.io.
Aklapper added subscribers: Aklapper, Qgil.

(Adding ECT-June-2015 because this blocks T94578 which is a hard goal for this month)

Aklapper raised the priority of this task from Normal to High.
Aklapper set Security to None.

@Dicortazar: Could you provide an update here with regard to getting data (and potentially also visualization) for the number of active changeset authors per month in Gerrit? (as we have two weeks left in this month)

And realizing that SCR Contributors lists CR users (anybody) and committers (+2), those "reviewers" (+1/+2) also requested in this task might come close enough to committers(+2), but would be nice to compare those numbes at some point.

I still have to work on this task. No advances so far I'm afraid.

@Dicortazar: Thanks for the update. I'm having T94578#1373791 in mind so I'm wondering if any raw CVS data or such could be made available within the next days?

Qgil added a comment.Jun 18 2015, 8:25 PM

I'm fine waiting for the actual data on July 1st (with the June data complete).

Dicortazar moved this task from Backlog to Doing on the ECT-June-2015 board.Jun 19 2015, 3:18 PM

Based on this data, some raw numbers that will appear in the scr.html page.

For authors, we're counting all of the unique people sending patchsets:

  • "patchset_submitters": [159, 137, 153, 145, 159, 148, 174, 182, 182, 221, 219, 221, 211, 208, 223, 222, 210, 204, 189, 210, 212, 213, 222, 207, 208, 185],

And for reviewers, all of the people adding a +1, -1, +2 or -2 to a patchset:

  • "reviewers": [154, 131, 155, 154, 140, 167, 165, 169, 179, 170, 183, 178, 177, 197, 196, 210, 182, 178, 170, 171, 191, 193, 185, 186, 179, 173]

In both cases, the values go from Wed, 01 May 2013, till nowadays.

We're now retrieving those numbers and adding a new chart with this data in scr.html

Viz is ready to go at http://korma.wmflabs.org/browser/scr.html

You'll see that there are two new charts. One of them contains the information patchset_submitters vs. reviewers.

I still have to go through the title of the chart and the trends.

Dicortazar closed this task as Resolved.Jun 25 2015, 8:13 AM

Names were updated and trends added to the loop. This should be updated in the next data retrieval.

Names were updated and trends added to the loop. This should be updated in the next data retrieval.

Now scr_patchset_submitters-scr_reviewers-scr-metrics-evol- and scr_voted_patchsets-scr_sent_patchsets-scr-metrics-evol- are on the page but empty (not populated yet).